> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/application-flow.md).

# applicationFlow

Represents various components and systems associated with an application, including artifacts, cloud deployments, CICD information, orchestrators, and repositories.

### Examples

```graphql
type ApplicationFlow {
  artifacts: [ArtifactItem]
  cloudDeployments: [CloudDeployment]
  cicdInfo: [CicdInfo]
  orchestrators: [OrchestratorItem]
  kubernetes: [KubernetesItem]
  repository: [RepositoryItem]
}
```

### Fields

| Field                                                                                                                                               | Description                                                      | Supported fields                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| artifacts [`[ArtifactItem]`](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/artifact-item.md)              | List of artifacts associated with the application                | <p>type <code>String</code><br>name <code>String</code><br>hashType <code>String</code><br>system <code>String</code><br>subType <code>String</code><br>hash <code>String</code><br>size <code>String</code><br>date <code>String</code><br>location <a href="https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/app-flow-item-location.md"><code>\[AppFlowItemLocation]</code></a><br>linkName <code>String</code><br>k8sType <code>String</code><br>cluster <code>String</code><br>region <code>String</code></p> |
| cloudDeployments [`[CloudDeployment]`](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/cloud-deployment.md) | List of cloud deployments associated with the application        | <p>type <code>String</code><br>subType <code>String</code><br>name <code>String</code><br>hash <code>String</code><br>hashType <code>String</code><br>link <code>String</code><br>location <a href="https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/app-flow-item-location.md"><code>\[AppFlowItemLocation]</code></a><br>k8sType <code>String</code><br>imageName <code>String</code><br>date <code>String</code><br>cluster <code>String</code><br>region <code>String</code></p>                              |
| cicdInfo [`[CicdInfo]`](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/cicd-info.md)                       | List of CICD pipelines and related information                   | <p>type <code>String</code><br>system <code>String</code><br>latestDate <code>String</code><br>lastMonthJobCount <code>String</code><br>location <a href="https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/cicd-info-location.md"><code>\[CicdInfoLocation]</code></a></p>                                                                                                                                                                                                                                        |
| orchestrators [`[OrchestratorItem]`](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/orchestrator-item.md)  | List of orchestrator systems involved in the application         | <p>type <code>String</code><br>name <code>String</code><br>hashType <code>String</code><br>system <code>String</code><br>hash <code>String</code><br>size <code>String</code><br>date <code>String</code><br>location <a href="https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/app-flow-item-location.md"><code>\[AppFlowItemLocation]</code></a></p>                                                                                                                                                            |
| kubernetes [`[KubernetesItem]`](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/kubernetes-item.md)         | List of Kubernetes-related items associated with the application | <p>type <code>String</code><br>name <code>String</code><br>hashType <code>String</code><br>system <code>String</code><br>hash <code>String</code><br>subType <code>String</code><br>size <code>String</code><br>date <code>String</code><br>location <a href="https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/app-flow-item-location.md"><code>\[AppFlowItemLocation]</code></a></p>                                                                                                                             |
| repository [`[RepositoryItem]`](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/repository-item.md)         | Repository-related information for the application               | <p>type <code>String</code><br>system <code>String</code><br>date <code>String</code><br>location <a href="https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/app-flow-item-location.md"><code>\[AppFlowItemLocation]</code></a></p>                                                                                                                                                                                                                                                                                |

### References

#### Fields with this object:

* [{} Application.applicationFlows](https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/application.md)
* [{} IAppsInfo.applicationFlows](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/i-apps-info.md)
* [{} ArtifactApplication.appFlow](https://docs.ox.security/api-documentation/api-reference/api--artifact/types/objects/artifact-application.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ox.security/api-documentation/api-reference/api--application/types/objects/application-flow.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
